OCAMLWC(1)

NAME
ocamlwc - count the lines of code and comments in OCaml sources

SYNOPSIS
ocamlwc [options] [files]

DESCRIPTION
ocamlwc is a program to count the number of lines of code and documentation in OCaml sources. It assumes its input to be lexically well-formed. If no files are given, then ocamlwc reads from stdin.

The first column of the output lists the number of source lines of code, the second column the number of lines of documentation, and the third the respective filename. If ocamlwc acts on more than one file, then it prints a total in the last line.

OPTIONS

-p  Print percentage of documentation (in an additional column after the filename).

-c  Print only the code size, i.e., omit the documentation column.

-e  (everything) Do not skip headers. A header is the first comment in a file.

-a  (all) Do not skip generated files. foo.ml is a generated file if one of foo.mll, foo.mly, or foo.ml4 is amongst the given files. foo.mli is a generated file if foo.mly is amongst the given files.

-h  Print short usage information.

AUTHOR
ocamlwc was written by Jean-Christophe Filliatre <Jean-Christophe.Filliatre@lri.fr>.
This manual page was written by Georg Neis <gn@oglaroon.de>.